<?
include("const.php");

If (file_exists("users/$cl") == false or strtolower($cl) == ".htaccess" or $cl == "") {
 Header("Location: /enter.phtml?com=err");
 exit;
}
$ft = @file("users/$cl");

If (md5(getenv("REMOTE_ADDR") . trim($ft[0])) == $cp) {
 include("tx/my_main.php");
}
Else {
 Header("Location: /enter.phtml?com=err");
 exit;
}
?>